MatrixDialog Class Reference

Matrix properties dialog. More...

`#include <MatrixDialog.h>`

Inheritance diagram for MatrixDialog:

## Public Member Functions

| MatrixDialog (QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...
void | setMatrix (Matrix *m)

## Private Slots

void | accept ()
| Accept changes and quit. More...
void | apply ()
| Apply changes. More...
void | showPrecisionBox (int item)
| Activate the numeric precision choice box. More...

## Private Attributes

QSpinBox * | boxColWidth
QComboBox * | boxFormat
QComboBox * | boxNumericDisplay
QSpinBox * | boxPrecision
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonOk
Matrix * | d_matrix

## Detailed Description

Matrix properties dialog.

## Constructor & Destructor Documentation

MatrixDialog::MatrixDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget
  fl | window flags

References accept(), apply(), boxColWidth, boxFormat, boxNumericDisplay, boxPrecision, buttonApply, buttonCancel, buttonOk, and showPrecisionBox().

## Member Function Documentation

void MatrixDialog::accept | ( |  | ) |

private slot

Accept changes and quit.

References apply().

Referenced by MatrixDialog().

void MatrixDialog::apply | ( |  | ) |

private slot

Apply changes.

References boxColWidth, boxFormat, boxPrecision, Matrix::columnsWidth(), d_matrix, Matrix::precision(), Matrix::setColumnsWidth(), Matrix::setNumericFormat(), Matrix::textFormat(), and Matrix::undoStack().

Referenced by accept(), and MatrixDialog().

void MatrixDialog::setMatrix | ( | Matrix * | m | ) |

References boxColWidth, boxFormat, boxNumericDisplay, boxPrecision, Matrix::columnsWidth(), d_matrix, Matrix::precision(), and Matrix::textFormat().

Referenced by ApplicationWindow::showMatrixDialog().

void MatrixDialog::showPrecisionBox | ( | int | item | ) |

private slot

Activate the numeric precision choice box.

References boxPrecision.

Referenced by MatrixDialog().

## Member Data Documentation

QSpinBox* MatrixDialog::boxColWidth

private

Referenced by apply(), MatrixDialog(), and setMatrix().

QComboBox* MatrixDialog::boxFormat

private

Referenced by apply(), MatrixDialog(), and setMatrix().

QComboBox * MatrixDialog::boxNumericDisplay

private

Referenced by MatrixDialog(), and setMatrix().

QSpinBox * MatrixDialog::boxPrecision

private

Referenced by apply(), MatrixDialog(), setMatrix(), and showPrecisionBox().

QPushButton * MatrixDialog::buttonApply

private

Referenced by MatrixDialog().

QPushButton* MatrixDialog::buttonCancel

private

Referenced by MatrixDialog().

QPushButton* MatrixDialog::buttonOk

private

Referenced by MatrixDialog().

Matrix* MatrixDialog::d_matrix

private

Referenced by apply(), and setMatrix().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixDialog.h
- qtiplot/src/matrix/MatrixDialog.cpp